aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <msabate@suse.com>2020-11-12 21:16:49 +0100
committerMiquel Sabaté Solà <msabate@suse.com>2020-11-12 21:16:49 +0100
commit2b8430a8f5146726753bf7c12c7adcef4e19fcb9 (patch)
treeac70ff50a378c2e243c741a27e8d35f143cf66ff /bin
parentc96d83265a5f9081b9cb0c63fd0b0721e94ee155 (diff)
downloaddotfiles-2b8430a8f5146726753bf7c12c7adcef4e19fcb9.tar.gz
dotfiles-2b8430a8f5146726753bf7c12c7adcef4e19fcb9.zip
i3: prepend the language keymap on the status
Signed-off-by: Miquel Sabaté Solà <msabate@suse.com>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/i3status.sh28
-rwxr-xr-xbin/toggle-keyboard-layout.sh6
2 files changed, 33 insertions, 1 deletions
diff --git a/bin/i3status.sh b/bin/i3status.sh
new file mode 100755
index 0000000..b4e63d8
--- /dev/null
+++ b/bin/i3status.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Copyright (C) 2020 Miquel Sabaté Solà <mikisabate@gmail.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# This script was written by someone else and I am not sure who is the original
+# author (it exists multiple versions of it). I have not done any modifications
+# to it.
+#
+# This script simple prepends an indicator with the language keymap.
+
+i3status --config ~/.i3status.conf | while :
+do
+ read line
+ LG=$(setxkbmap -query | awk '/layout/{print $2}')
+ echo "LG: $LG | $line" || exit 1
+done
diff --git a/bin/toggle-keyboard-layout.sh b/bin/toggle-keyboard-layout.sh
index a8a84d1..6d91258 100755
--- a/bin/toggle-keyboard-layout.sh
+++ b/bin/toggle-keyboard-layout.sh
@@ -22,6 +22,10 @@ if [ "$layout" == 'us' ]
then
setxkbmap es
else
- setxkbmap us
+ if [ "$layout" == 'es' ]; then
+ setxkbmap mi
+ else
+ setxkbmap us
+ fi
fi
killall -SIGUSR1 i3status